Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.contexts
Class ContextException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.ui.contexts.ContextException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NotDefinedException

public abstract class ContextException
extends Exception

Signals that an exception occured within the context architecture.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  Serialized Form

Constructor Summary
`ContextException(String message)` Creates a new instance of this class with the specified detail message.
`ContextException(String message, Throwable cause)` Creates a new instance of this class with the specified detail message and cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextException

    public ContextException(String message)

  Creates a new instance of this class with the specified detail message.

Parameters:
  `message` - the detail message.

### ContextException

    public ContextException(String message,
                            Throwable cause)

  Creates a new instance of this class with the specified detail message and cause.

Parameters:
  `message` - the detail message.
  `cause` - the cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.